Skip to content

Leads API

20 endpoints. All requests need an Authorization header — see Authentication. API keys additionally need the matching scope.

Method Path Description
GET /api/leads/ List Leads Query: status, lifecycle_stage, grade, search, source, owner_id.
POST /api/leads/ Create Lead Accepts a JSON body.
GET /api/leads/analytics Lead Analytics
POST /api/leads/bulk Bulk Lead Action Accepts a JSON body.
GET /api/leads/kpis Get Kpis
GET /api/leads/scoring-config Get Scoring Config
PUT /api/leads/scoring-config Set Scoring Config Accepts a JSON body.
GET /api/leads/sources Get Sources
GET /api/leads/{lead_id} Get Lead
PATCH /api/leads/{lead_id} Update Lead Accepts a JSON body.
DELETE /api/leads/{lead_id} Delete Lead
GET /api/leads/{lead_id}/activities List Lead Activities
POST /api/leads/{lead_id}/activities Create Lead Activity Accepts a JSON body.
POST /api/leads/{lead_id}/ai-draft Ai Draft Accepts a JSON body.
POST /api/leads/{lead_id}/ai-qualify Ai Qualify
GET /api/leads/{lead_id}/campaigns List Lead Campaigns
POST /api/leads/{lead_id}/convert Convert Lead Accepts a JSON body.
GET /api/leads/{lead_id}/duplicates Lead Duplicates
POST /api/leads/{lead_id}/enrich Enrich Lead Endpoint
POST /api/leads/{lead_id}/recompute-score Recompute Score

Try it

The full request/response schema for every endpoint is in the OpenAPI spec served by your own workspace.